org.apache.lucene.index

## Interface IndexSorter.SortedDocValuesProvider

Enclosing interface:
  IndexSorter

    public static interface IndexSorter.SortedDocValuesProvider

Provide a SortedDocValues instance for a LeafReader

### Method Summary

All Methods Instance Methods Abstract Methods
`SortedDocValues` `get(LeafReader reader)` Returns the SortedDocValues instance for this LeafReader

### Method Detail

#### get

    SortedDocValues get(LeafReader reader)
                 throws IOException

Returns the SortedDocValues instance for this LeafReader

Throws:
  `IOException`